from django.urls import path

from shangdian.views import BindDianpuView, ShopGoodsView, ShangdianLoginView, ShopOverviewView, ShopQrcodeView, \
    ShopProductConfigView, ShopProductModifyView, ShopProductListView, ShopProductModifyView1, MemberListView, \
    DianpuShouzhiTongjiView, QrcodeDownloadView, SubShopListView, SubShopModifyView, ShopOrderManageView, \
    ShopOrderStatisticsView, ShopRefundView, ShopForceCompleteView, ShopTransferHallView, ShopFineApplyView

urlpatterns = [
    path('bdsd', BindDianpuView.as_view(), name='绑定或更新商家店铺'),
    path('hqsp', ShopGoodsView.as_view(), name='获取商品数据'),

   path('login', ShangdianLoginView.as_view(), name='商家登录'),
   path('sjdpgl', ShopOverviewView.as_view(), name='商家获取店铺信息'),
    path('sdscdpm', ShopQrcodeView.as_view(), name='生成或更新店铺二维码'),

    path('dphqspxx', ShopProductConfigView.as_view(), name='商店获取商品类型专区'),
    path('xgdpsplx', ShopProductModifyView.as_view(), name='商店修改添加修改商品类型专区'),

    path('sdhqspsj', ShopProductListView.as_view(), name='商店获取商品数据'),
    path('xgdpsplx', ShopProductModifyView1.as_view(), name='商店增删改商品数据'),

   path('hqhy', MemberListView.as_view(), name='商店获取会员'),
   path('dpsztj', DianpuShouzhiTongjiView.as_view(), name='获取店铺数据统计'),

   path('xzewm', QrcodeDownloadView.as_view(), name='下载店铺二维码'),

    path('wdxjdp', SubShopListView.as_view(), name='获取下级店铺列表'),      # 获取下级店铺列表
    path('xjdpbj', SubShopModifyView.as_view(), name='添加/修改下级店铺'),  # 添加/修改下级店铺

    path('ddlbhq', ShopOrderManageView.as_view(), name='店铺订单数据统计与获取'),
    # 稍后添加具体路由
    path('ddltj', ShopOrderStatisticsView.as_view(), name='店铺订单数量统计接口'),
    path('tk', ShopRefundView.as_view(), name='店铺退款'),
    path('qzjd', ShopForceCompleteView.as_view(), name='店铺强制结算'),
    path('zydt', ShopTransferHallView.as_view(), name='店铺转移大厅'),
    path('fksq', ShopFineApplyView.as_view(), name='店铺开罚单'),

]